# Modeling module

This module contains all the source code for the model implementation, analysis and plots. We used the open source free software: Spyder IDE runnin on Python which can be downloaded [here](https://www.spyder-ide.org/). 

## Usage
To run the source code you should install Python and install the required libraries. The required libraries can be found in the folder **modeling/env_requirements** [(click here)](https://gitlab.igem.org/2022/software-tools/tudelft/-/blob/main/models/requirements.txt) and can be installed using pip:

Python pip: use requirements.txt and install the libraries with the help of pip. For help, see [here](https://conda.io/projects/conda/en/latest/user-guide/tasks/manage-environments.html#creating-an-environment-from-an-environment-yml-file).

## File description
A description for files that were used for analysis and text on our wiki page. The filename is shown and what the code in the file does is briefly explained.
- the folder **data** contains all the files used to aquire the data for the wiki
- **plots.py** is used to make plots of the data
- **standards.py**  contains all the standard data and functions used in the data files
- **requirements** contains the libraries neccessary to run the model
- **animations.py** is used to make the animation of the data.
