# Data

This module contains all the source code for the data collection for our wiki.  

## File description
A description for files that were used for our wiki. The filename is shown and what the code in the file does is briefly explained.
- **data_fb.py** collects the data on the percentage of DNA bound to BlcR under different conditions.
- **Real_max_sig_noise** Collects the data on the maximum signal-to-noise value possible.
- **Real_range_BlcR** Collects data on the range of BlcR concentrations possible in the sensor.
- **data_sensitivity.py** Collects data on the sensitivity of the sensor under different circumstances.
- **data_sens_kd.py** Collects data on the sensitivity of the sensor for different Kd values of BlcR and DNA.
- **data_signal_to_noise.py** Collects data on the signal to noise ratio under different conditions.
- **data_vary_Kd_BlcR_GHB.py**  Collects the data on the percentage of DNA bound over a range of Kd values between BlcR and GHB.
- **data_vary_kd_BlcR_DNA.py**  Collects the data on the percentage of DNA bound over a range of Kd values between BlcR and DNA.
